Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79872 - rpm-4.2: locking with nptl necessitates bogus glibc/kernel requirements
Summary: rpm-4.2: locking with nptl necessitates bogus glibc/kernel requirements
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-17 18:28 UTC by Jeff Johnson
Modified: 2008-05-01 15:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-27 14:34:05 UTC


Attachments (Terms of Use)

Description Jeff Johnson 2002-12-17 18:28:02 UTC
The kernel supplies /dev/futex functionality.

glibc supplies the pthread API that uses nptl on top
of /dev/futex functionality.

db-4.1.24 uses the the pthread API, has run-time check
that API is functional. The runtime check requires
    a) the running kernel supplies functional /dev/futex
    b) glibc with nptl.

So, rpm carries
    Requires: kernel >= 2.4.20-0.pp.9
    Requires: glibc >= 2.3.1-15
attempting to insure that the platform on which
rpm runs has (at least) the necessary capabilities available
to use posix mutexes through nptl.

This, of course, is totally bogus if, say, a different
kernel w/o /dev/futex functionality is booted.

Comment 1 Jeff Johnson 2002-12-27 14:34:05 UTC
Fixed by adding run time test with fallback to different
locking scheme.


Note You need to log in before you can comment on or make changes to this bug.